--- old/usr/src/cmd/svc/startd/log.c	Mon Dec  4 17:58:49 2017
+++ new/usr/src/cmd/svc/startd/log.c	Mon Dec  4 17:58:49 2017
@@ -22,6 +22,7 @@
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  * Copyright 2011 Nexenta Systems. All rights reserved.
+ * Copyright 2017 RackTop Systems.
  */
 
 /*
@@ -475,6 +476,10 @@
 		severity = LOG_INFO;
 	} else {
 		switch (outcome) {
+		case DEGRADE_REQUESTED:
+			action = gettext("transitioned to degraded by "
+			    "request (see 'svcs -xv' for details)");
+			break;
 		case MAINT_REQUESTED:
 			action = gettext("transitioned to maintenance by "
 			    "request (see 'svcs -xv' for details)");
